<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
include_once(_CLASS_.'/ext/esmo_ct/panel_graf_preview.php') ;
class c_page_ajax extends c_page_XML_AJAX
{
   // вызов сотрудника к терапевту
   function request_personal_to_terapevt()
   {  $rec_personal=PERSONAL()->get_personal_by_id($_POST['personal_id']) ;
      adding_rec_to_table('obj_site_ct_req',array('clss'=>263,
                                                  'indx'=>1,
                                                  'account_id'=>MEMBER()->id,
                                                  'personal_id'=>$rec_personal['pkey'],
                                                  'status'=>1
                                                  )) ;
      ?><div class="center"><strong>Сотрудник поставлен в очередь на прием.</strong><br><br><button class="cancel">Закрыть</button></div><?
      $this->add_element('show_modal_window','HTML',array('title'=>'Вызов сотрудника на прием','after_close_update_page'=>1)) ;
      $this->add_element('req_time_'.$rec_personal['pkey'].'.HTML',date('d.m.Y H:i',time())) ;

   }

   // переход на страницу сбора анамнеза
   function go_page_sbor_anamnesa()
   {  $rec_priem=execSQL_van('select * from obj_site_ct_req where account_id='.MEMBER()->id.' and pkey='.$_POST['req_id'].' ') ;
      if ($rec_priem['status']==1) update_rec_in_table('obj_site_ct_req',array('status'=>2,'s_data'=>time()),'pkey='.$_POST['req_id']) ;
      $this->add_element('go_url','/cab/esmo_ct/person/'.$rec_priem['personal_id'].'/anamnes/')  ;
   }


   // сохранение анамнеза и переход на страницу рекомендаций
   function save_anamnes()
   { damp_array($_POST,1,-1) ;

     $ssd=$_POST['ufs']['ssd'];
     $sdd=$_POST['ufs']['sdd'];
     $sp=$_POST['ufs']['sp'];
     $age=$_POST['ufs']['age'];
     $weight=$_POST['anam']['weight'];
     $rost=$_POST['anam']['rost'];

     $ADsr=$sdd+($ssd-$sdd)/3;
     $ufs=(700-3*$sp-2.5*$ADsr-2.7*$age+0.2*$weight)/(350-2.6*$age+0.21*$rost);
     $ufs=round($ufs,3);

     $rec_priem=execSQL_van('select * from obj_site_ct_req where pkey='.$_POST['req_id'].' ') ;
     if ($rec_priem['pkey'])
     { update_rec_in_table('obj_site_ct_req',array('anamnes'=>array('anam'=>$_POST['anam'],'factors'=>$_POST['factors'],'factors2'=>$_POST['factors2']),'ufs'=>$ufs),'pkey='.$_POST['req_id']) ;
    //$this->add_element('show_modal_window','HTML',array('title'=>'test')) ;
     $this->add_element('go_url','/cab/esmo_ct/person/'.$rec_priem['personal_id'].'/recommendations/')  ;
     }
   }

   // сохранение рекомандаций и окончание приема
   function save_recomendation()
   { damp_array($_POST,1,-1) ;
     $recomendation = $_POST['recomendation'];
    if (!$_POST['recomendation_checkbox']['AD']) unset($recomendation['AD']);
    if (!$_POST['recomendation_checkbox']['HL']) unset($recomendation['HL']);
    if (!$_POST['recomendation_checkbox']['VT']) unset($recomendation['VT']);
    //$this->add_element('show_modal_window','HTML',array('title'=>'test')) ;
     $rec_priem=execSQL_van('select * from obj_site_ct_req where account_id='.MEMBER()->id.' and pkey='.$_POST['req_id'].' ') ;
     if ($rec_priem['pkey'])
     { update_rec_in_table('obj_site_ct_req',array('recomendation'=>$recomendation,'status'=>3,'e_data'=>time(), 'rsso'=>$_POST['rsso']),'pkey='.$_POST['req_id']) ;
       $this->add_element('go_url','/cab/esmo_ct/person/'.$rec_priem['personal_id'].'/terapia/')  ;
     }
   }

  function draw_preview()
  { ob_start() ;
    if ($_POST['personal_id'])
    {
      panel_graf_preview($_POST['personal_id']);
    }
    $this->add_element('panel_preview_div'.'.HTML',ob_get_clean()) ;
  }

  function show_pmo_personals()
  {
     switch($_POST['status'])
     { case 'pass': $title='Все сотрудники, проходящие ПМО' ; $arr_status=[1,2,22,3,4,6] ; break ;
       case 'block': $title='Cотрудники, заблокированные по проходению ПМО' ; $arr_status=[5,7] ; break ;
       case 'success': $title='Cотрудники, прошедшие ПМО, годен' ; $arr_status=[8] ; break ;
       case 'failed': $title='Cотрудники, прошедшие ПМО, не годен' ; $arr_status=[9] ; break ;

	 }
     ob_start() ;
        include_once(_DIR_EXT.'/esmo_magnit_pmo/report_personals_in_event_pmo.php') ;
        $report_obj=new report_personals_in_event_pmo() ;
        $report_obj->filter['order']='obj_name';
        //$report_obj->filter['org_id']=$_POST['org_id'];
        //$report_obj->filter['otdel_id']=$_POST['dep_id'];
        $report_obj->filter['dep_id2']=$_POST['dep_id']; // сотрудник должен быть именно в этом подраздленеии, не в дочерних
        $report_obj->event_id=$GLOBALS['LS_esmo_PMO_event'] ;
        $report_obj->title=$title ;
        $report_obj->pass_status=$arr_status ;
        $report_obj->init();
        //$report_obj->setting();
        $report_obj->view(['denited_action'=>1]) ;
     $text=ob_get_clean() ;
     $this->add_element('panel_report.HTML',$text)  ;
  }


  function show_opo_personals()
  {
     switch($_POST['status'])
     { case 'pass': $title='Все сотрудники, проходящие ОПО' ; $arr_status=[1,2,22,3,4,6] ; break ;
       case 'block': $title='Cотрудники, заблокированные по проходению ОПО' ; $arr_status=[5,7] ; break ;
       case 'success': $title='Cотрудники, прошедшие ОПО, годен' ; $arr_status=[8] ; break ;
       case 'failed': $title='Cотрудники, прошедшие ОПО, не годен' ; $arr_status=[9] ; break ;

	 }
     ob_start() ;
        include_once(_DIR_EXT.'/events_opo/report_personals_in_event_opo.php') ;
        $report_obj=new report_personals_in_event_opo() ;
        $report_obj->filter['order']='obj_name';
        //$report_obj->filter['org_id']=$_POST['org_id'];
        //$report_obj->filter['otdel_id']=$_POST['dep_id'];
        $report_obj->filter['dep_id2']=$_POST['dep_id']; // сотрудник должен быть именно в этом подраздленеии, не в дочерних
        $report_obj->event_id=$GLOBALS['LS_esmo_OPO_event'] ;
        $report_obj->title=$title ;
        $report_obj->pass_status=$arr_status ;
        $report_obj->init();
        //$report_obj->setting();
        $report_obj->view(['denited_action'=>1]) ;
     $text=ob_get_clean() ;
     $this->add_element('panel_report.HTML',$text)  ;
  }










}
